完美解决:You are using pip version 9.0.1, however version 18.0 is available.

问题描述:

You are using pip version 9.0.1, however version 18.0 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

博主装的是anaconda,在进行装三方包的时候出现了pip需要升级的通知;

按照提示;博主输入了python -m pip install --upgrade pip

但是报错:

解决办法:

1. 输入conda install pip

conda install pip

这个时候pip已经从9.0.1升级到10.0.1了。

2. 然后我再conda install pip

conda install pip

 

3. 我再试试conda install pip

这时候已经显示需要的包都装完了;

4. 最后一步:

python -m pip install --upgrade pip

最后我成功升级pip到最新版了。

 

另外一种办法:

听说,是听说;官网可以用下面这一句升级,但没试过,各位大佬可以尝试并回复博主,谢谢。

python -m pip install -U pip

 

发布了137 篇原创文章 · 获赞 299 · 访问量 70万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览